Bug 321601

Summary: Review Request: ImageInfo - Extract attributes of digital images
Product: [Fedora] Fedora Reporter: Brendt Wohlberg <osspkg>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, mtasaka, notting
Target Milestone: ---Flags: mtasaka: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-10-12 14:48:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Brendt Wohlberg 2007-10-06 20:19:10 UTC
Spec URL: http://www.wohlberg.net/public/software/photo/imageinfo/imageinfo.spec
SRPM URL: http://www.wohlberg.net/public/software/photo/imageinfo/imageinfo-0.05-1.fc7.src.rpm
Description: ImageInfo computes and displays selected image attributes. It is similar in function to the ImageMagick "identify" utility, but provides a few additional attributes (such as details of embedded ICC profiles), and allows command line selection of the attributes to be computed, avoiding unnecessary computation and and allowing easier parsing of results when this utility is called from a script.

Comment 1 Mamoru TASAKA 2007-10-07 06:11:15 UTC
* Rebuild failed on dist-f8, x86_64
  http://koji.fedoraproject.org/koji/taskinfo?taskID=185862

  Note: From F-8+, popt is split out from "rpm" package.
        So from F-8+, a package which uses libpopt.so must have
        "BuildRequires: popt-devel". For example:
-------------------------------------------------------------
%if 0%{?fedora} >= 8
BuildRequires: popt-devel
%endif
-------------------------------------------------------------

Comment 2 Brendt Wohlberg 2007-10-08 15:19:38 UTC
Thanks for pointing that out. Please see corrected spec
http://www.wohlberg.net/public/software/photo/imageinfo/imageinfo.spec and SRPM
http://www.wohlberg.net/public/software/photo/imageinfo/imageinfo-0.05-2.fc7.src.rpm

Comment 3 Mamoru TASAKA 2007-10-08 17:15:51 UTC
Well, actually this is rather a simple package.
Now this package is okay.

-----------------------------------------------------------
   This package (imageinfo) is APPROVED by me
-----------------------------------------------------------

Comment 4 Brendt Wohlberg 2007-10-10 03:20:59 UTC
New Package CVS Request
=======================
Package Name: imageinfo
Short Description: Extract attributes of digital images
Owners: brendt
Branches: F-7
InitialCC: 
Cvsextras Commits: no


Comment 5 Kevin Fenzi 2007-10-10 22:20:32 UTC
cvs done.

Comment 6 Fedora Update System 2007-10-11 22:54:00 UTC
imageinfo-0.05-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.